// Generated by LiveScript 1.5.0
(function(){
  var gulp, install, conflict, template, rename, gutil, _, inquirer, path, defaults;
  gulp = require('gulp');
  install = require('gulp-install');
  conflict = require('gulp-conflict');
  template = require('gulp-template');
  rename = require('gulp-rename');
  gutil = require('gulp-util');
  _ = require('underscore.string');
  inquirer = require('inquirer');
  path = require('path');
  defaults = function(){
    var workingDirName, user, homeDir, osUserName, configFile;
    workingDirName = path.basename(
    process.cwd());
    user = {};
    if (process.platform === "win32") {
      homeDir = process.env.USERPROFILE;
      osUserName = process.env.USERNAME || path.basename(homeDir).toLowerCase();
    } else {
      homeDir = process.env.HOME || process.env.HOMEPATH;
      osUserName = homeDir && homeDir.split("/").pop() || "root";
    }
    configFile = path.join(homeDir, ".gitconfig");
    if (require("fs").existsSync(configFile)) {
      user = require("iniparser").parseSync(configFile).user;
    }
    return {
      appName: workingDirName,
      userName: osUserName || (user.name || "").toLowerCase().replace(/\s/g, ""),
      authorName: user.name || "",
      authorEmail: user.email || ""
    };
  }();
  gulp.task("default", function(done){
    var prompts;
    prompts = [
      {
        message: "Human-readable name of your project:",
        name: "appNameReadable",
        'default': _.humanize(defaults.appName)
      }, {
        message: "Slugified name of your project:",
        name: "appName",
        'default': _.slugify(defaults.appName)
      }, {
        message: "Project Path:",
        name: "appPath",
        'default': process.cwd()
      }, {
        message: "Description:",
        name: "appDescription",
        'default': "Totally awesome app."
      }, {
        message: "Initial Version:",
        name: "appVersion",
        'default': "0.1.0"
      }, {
        message: "Author name:",
        name: "authorName",
        'default': defaults.authorName
      }, {
        message: "Author email:",
        name: "authorEmail",
        'default': defaults.authorEmail
      }, {
        message: "GitHub username:",
        name: "githubUserName",
        'default': defaults.userName
      }, {
        message: "GitHub scope:",
        name: "githubScope",
        'default': defaults.userName
      }, {
        message: "Firebase app name:",
        name: "firebaseAppName",
        'default': defaults.appName
      }, {
        message: "Okay to start?",
        name: "moveon",
        type: "confirm"
      }
    ];
    return inquirer.prompt(prompts, function(answers){
      if (!answers.moveon) {
        return done();
      } else {
        answers.appNameSlug = _.slugify(answers.appName);
        return gulp.src(__dirname + "/templates/**", {
          dot: true
        }).pipe(template(answers)).pipe(rename(function(file){
          if (file.basename[0] === "_") {
            return file.basename = "." + file.basename.slice(1);
          }
        })).pipe(gulp.dest("./")).pipe(install()).on("end", function(){
          return done();
        });
      }
    });
  });
}).call(this);
